Bug 888296 - "configure selected mountpoint" button should be disabled on already existing partition
"configure selected mountpoint" button should be disabled on already existing...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-12-18 08:12 EST by Pavel Holica
Modified: 2013-05-12 13:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-19.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 13:06:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
existing_partition.png (55.10 KB, image/png)
2012-12-18 08:12 EST, Pavel Holica
no flags Details

  None (edit)
Description Pavel Holica 2012-12-18 08:12:46 EST
Created attachment 665487 [details]
existing_partition.png

Description of problem:
When there are already existing partitions on disk and one goes to partitioning selecting already existing partition (like in screenshot) there is enabled "configure selected mountpoint" button and one can click on it but nothing happens.

Version-Release number of selected component (if applicable):
Fedora-18 TC3

How reproducible:
always

Steps to Reproduce:
1. Install Fedora on system
2. Start installer again on the system
3. Proceed to partitiong and customize it
4. Select one of existing partitions
5. Click on "configure selected mountpoint" button
  
Actual results:
Button is enabled (clickable) and nothing happens after clicking on it.

Expected results:
Button should be disabled (grey).

Additional info:
Comment 1 Pavel Holica 2013-03-11 09:11:32 EDT
I can see the button disabled on root partition, but it's still enabled for /boot. After clicking on it, nothing happens.
Comment 2 Adam Williamson 2013-05-12 13:06:25 EDT
Tested with Beta TC4. The button is disabled for all three partitions for an existing installation (/, /boot and swap). Closing.

Note You need to log in before you can comment on or make changes to this bug.